org.appng.api

## Interface XMLTaglet

- All Known Subinterfaces:
    GlobalXMLTaglet

      public interface XMLTaglet

  Similar to a `Taglet`, a `XMLTaglet` can be used inside a JSP-Page to embed (static or dynamic) content that is retrieved from a `Application`. But instead of returning a `String` directly, `XMLTaglet` returns a `DataContainer`, which usually is being marshaled to XML and then processed with an XSL stylesheet. Therefore, the taglet-attribute `xsl` should contain the site-relative path to a XSL-stylesheet. This stylesheet is then being used to transform the XML.
  Example (`method` refers to bean name of the implementing class):

       <%@taglib uri="http://appng.org/tags" prefix="appNG" %>

       <appNG:taglet application="application-name" method="taglet-name" type="xml">
           <param:xsl>meta/xsl/stylesheet.xsl</param:xsl>
       </appNG:taglet>

  Author:
    Matthias Herlitzius
  See Also:
    `Taglet`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataContainer` | `processTaglet(Site site, Application application, Request request, Map<String,String> tagletAttributes)` Executes the `Taglet` and returns a `String` to be embedded at the calling JSP-page.

- - ### Method Detail

    - #### processTaglet

          DataContainer processTaglet(Site site,
                                      Application application,
                                      Request request,
                                      Map<String,String> tagletAttributes)

      Executes the `Taglet` and returns a `String` to be embedded at the calling JSP-page.
      Parameters:
        `site` - the current `Site`
        `application` - the current `Application`
        `request` - the current `Request`
        `tagletAttributes` - a `Map` containing the attributes for the `XMLTaglet`
      Returns:
        a `DataContainer` to be marshaled to XML and transformed

Copyright © 2011–2023 aiticon GmbH. All rights reserved.